- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Rtapi::RTAPIMessage Class Reference

`#include <RTAPIMessage.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Rtapi::RTAPIMessage:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Rtapi::RTAPIMessage:

[legend]
List of all members.

## Public Types
enum | MessageType { COMMAND, OBSERVATION, GOAL, STATE_UPDATE, FIND_MODE_ESTIMATE, ABORT_COMMAND, REPORT_FULL_STATE, MR_REQUEST, QUIT, INITIALIZE_STATE }
## Public Member Functions
| RTAPIMessage (MessageType myMessageType)
| RTAPIMessage (MessageType myMessageType, unsigned int myVarUID, unsigned int myValUID)
| RTAPIMessage (RTAPIMessage const &other)
| RTAPIMessage (RTAPIMessage const *other)
virtual | ~RTAPIMessage ()
MessageType | getMessageType ()
unsigned int | getVariableUID ()
unsigned int | getValueUID ()
virtual void | print (std::ostream &out) const
## Protected Attributes
MessageType | messageType
unsigned int | variableUID
| the variable UID of this message, if any
unsigned int | valueUID
| the value UID of this message, if any

## Detailed Description

An object that defines a set of messages that can be sent through the RTAPI to ME and MR.

Author:
  Paul H. Elliott

Definition at line 34 of file RTAPIMessage.h.

## Member Enumeration Documentation

enum Mers::Executives::DeductiveController::Rtapi::RTAPIMessage::MessageType

the various types of messages supported at the moment by the RTAPI

Definition at line 39 of file RTAPIMessage.h.

## Constructor & Destructor Documentation

RTAPIMessage::RTAPIMessage | ( | MessageType | myMessageType | ) |

creates a new RTAPI message with the specified message type

Parameters:

  | myMessageType | the message type of this message. Note that this should only be one of the message types that have no parameters

Definition at line 26 of file RTAPIMessage.cpp.

References messageType.

RTAPIMessage::RTAPIMessage | ( | MessageType | myMessageType,
|  | unsigned int | myVarUID,
|  | unsigned int | myValUID |
| ) |  |  |

creates a new RTAPI message with the specified fields

Parameters:

  | myMessageType | the message type of this message. Note that this should only be one of the message types that take a variable and value UID pair as parameters.
  | myVarUID | the variable UID associated with this message. For instance, if the message type was COMMAND, this would be the variable UID of the command.
  | myValUID | the value UID associated with this message. For instance, if the message type was COMMAND, this would be the UID of the value in the domain of the variable specified by myVarUID.

Definition at line 35 of file RTAPIMessage.cpp.

References messageType, valueUID, and variableUID.

RTAPIMessage::RTAPIMessage | ( | RTAPIMessage const & | other | ) |

Creates a new RTAPI Message by copying the data from the other RTAPI Message.

Parameters:

  | other | the other RTAPI Message being copied to this RTAPI Message.

Definition at line 47 of file RTAPIMessage.cpp.

References messageType, valueUID, and variableUID.

RTAPIMessage::RTAPIMessage | ( | RTAPIMessage const * | other | ) |

Creates a new RTAPI Message by copying the data from the other RTAPI Message.

Parameters:

  | other | the other RTAPI Message being copied to this RTAPI Message

Definition at line 58 of file RTAPIMessage.cpp.

References messageType, valueUID, and variableUID.

RTAPIMessage::~RTAPIMessage | ( |  | ) | `[virtual]`

Destroys this RTAPI Message

Definition at line 69 of file RTAPIMessage.cpp.

## Member Function Documentation

RTAPIMessage::MessageType RTAPIMessage::getMessageType | ( |  | ) |

returns the message type of this message

Returns:
  the type of message that is being sent through the RTAPI

Definition at line 77 of file RTAPIMessage.cpp.

References messageType.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg(), and Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

unsigned int RTAPIMessage::getVariableUID | ( |  | ) |

returns the variable UID associated with this message. this is undefined if the message doesn't contain parameters

Returns:
  the UID of the variable parameter of this message, if any

Definition at line 85 of file RTAPIMessage.cpp.

References variableUID.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg(), and Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

unsigned int RTAPIMessage::getValueUID | ( |  | ) |

returns the value UID associated with this message. this is undefined if the message doesn't contain parameters

Returns:
  the UID of the value parameter of this message, if any

Definition at line 93 of file RTAPIMessage.cpp.

References valueUID.

Referenced by Mers::Executives::DeductiveController::Rtapi::MR::MR_dispatcher::parse_msg(), and Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher::parse_msg().

void RTAPIMessage::print | ( | std::ostream & | out | ) | const`[virtual]`

called to print this object to the specified ostream. Derived classes must define this.

Parameters:

  | out | the ostream to print this object information to

Implements Mers::Utils::Lang::BaseModelObject.

Definition at line 103 of file RTAPIMessage.cpp.

References messageType, valueUID, and variableUID.

## Member Data Documentation

MessageType Mers::Executives::DeductiveController::Rtapi::RTAPIMessage::messageType`[protected]`

The message type of this message. This type will indicate if variableUID and valueUID are valid values.

Definition at line 138 of file RTAPIMessage.h.

Referenced by getMessageType(), print(), and RTAPIMessage().

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/RTAPIMessage.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/RTAPIMessage.cpp